#!/usr/bin/perl
#Script to write time, strains and stresses for a single element which can be read by gnuplot script
#Works only for single element, but could also be extended for other situations.

$finalTime = 50e-3;
$finalDisp = 1.e-3;

$file = $ARGV[0];
open(FILEIN, "<$file") || die "Could not open $file\n";

while($line = <FILEIN>) {   
    if($line =~ m/n o d a l/){
	($junk, $time)=
	    split('t=', $line);
	 chomp $time;      
    }

    if($line =~ m/xtotal=/){
	
	($junk, $junk, $xtotal, $junk, $ytotal, $junk, $ztotal,$junk)=
	    split( /\s+/, $line);
	
	$disp = $time/$finalTime*$finalDisp;
    
	print $disp, "\t", $xtotal,"\t", $ytotal, "\t", $ztotal,"\n";	

    }


}


